
// =====================================
// Shader Maximus
// clatoo 12/02/09
// =====================================

// ------------------------------------- 
// Ciel
// ------------------------------------- 

textures/palais/stencil_ciel
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 300
	q3map_lightRGB 132 142 200
	qer_editorimage textures/palais/stencil_ciel.tga
 	skyparms - 512 -
	{
		map textures/palais/cieletoile01.jpg
		tcMod scale 14 14
		tcMod scroll 0.0090 0.0090
		depthWrite
	}
	{
		map textures/palais/ciel01.jpg
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.0200 0.0200
	}
}

// ------------------------------------- 
// Eau
// ------------------------------------- 

textures/palais/stencil_eau
{
	qer_editorimage textures/palais/eau01.jpg
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	{ 
		map textures/palais/eau02.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/palais/eau03.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/palais/eau01.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod scroll .001 .025
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

// ------------------------------------- 
// Drapeau
// ------------------------------------- 

textures/palais/drapeau01
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/palais/drapeau01.jpg
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphaFunc GE128
		rgbGen vertex
         }
}

textures/palais/drapeau02
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/palais/drapeau02.jpg
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphaFunc GE128
		rgbGen vertex
         }
}

textures/palais/drapeau03
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/palais/drapeau03.jpg
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphaFunc GE128
		rgbGen vertex
         }
}

textures/palais/drapeau04
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/palais/drapeau04.jpg
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphaFunc GE128
		rgbGen vertex
         }
}

textures/palais/drapeau05
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/palais/drapeau05.jpg
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphaFunc GE128
		rgbGen vertex
         }
}

// ------------------------------------- 
// Chute d'eau
// ------------------------------------- 

textures/palais/eauacduc01
{
        surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nonsolid
	cull none
	{
		map textures/palais/eauacduc01.tga
                tcMod Scroll 0 2
		blendFunc GL_ONE GL_ONE
		rgbgen identity
        }
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

// ------------------------------------- 
// Flamme
// -------------------------------------

textures/palais/flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	//surfaceparm trans
	cull none
	q3map_surfacelight 70
	//q3map_LightRGB 1.0 0.9 0.7
	q3map_LightRGB 1.0 0.8 0.5
	qer_editorimage textures/palais/flame1.jpg
	{
		animMap 10 textures/palais/flame1.jpg textures/palais/flame2.jpg textures/palais/flame3.jpg textures/palais/flame4.jpg textures/palais/flame5.jpg textures/palais/flame6.jpg textures/palais/flame7.jpg textures/palais/flame8.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}	
	{
		animMap 10 textures/palais/flame2.jpg textures/palais/flame3.jpg textures/palais/flame4.jpg textures/palais/flame5.jpg textures/palais/flame6.jpg textures/palais/flame7.jpg textures/palais/flame8.jpg textures/palais/flame1.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/palais/flameball.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

// ------------------------------------- 
// Buisson
// -------------------------------------

textures/palais/buisson01
{
	qer_editorimage textures/palais/buisson01.tga
	surfaceparm trans	
	surfaceparm alphashadow
    	surfaceparm nomarks	
 //   	surfaceparm nonsolid
 //   	surfaceparm playerclip
        nopicmip
	cull none
	{
		map textures/palais/buisson01.tga
		tcMod scale 4.0 4.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}





